#ifndef MAIN_H__
#define MAIN_H__

enum Shell {
	BASH,
	TCSH
};

vector<string> split(char const *str);
string join(vector<string> const &in, unsigned to);
bool readable(string const &file);
bool goodpermissions(string const &file);
void enterPath(string const &path);
void exitPath(string const &path);
string expandString(string const &str);
void execute(Shell shell, string const &dir, string const &code, bool file = false);

#endif
