#ifndef RCLEXER_H__
#define RCLEXER_H__

#include <cstring>
#include <stdexcept>
#include <string>
#include "Lexer.h"

/*
	20/05/02	Initial creation
*/

/**
	RCLexer is ... (TODO: complete description)
*/

class RCLexer : public Lexer {
	public :
		enum {
			WHITESPACE = 256,
			COMMENT,
			STRING,
			KW_PATH,
			KW_ENTER,
			KW_LEAVE,
		};

		RCLexer() : macceptws(false) {}
		virtual ~RCLexer() {}

		void acceptwhitespace(bool ws = true) { macceptws = ws; }
	private :
		// Private, so object can't be default copied.
		RCLexer(RCLexer const &copy) {}
		RCLexer &operator = (RCLexer const &copy) { return *this; }

	protected :
		MatchResult get(string &out, char const *&end, char const *&start, int &type);
		bool macceptws;
};

#endif
